# Contributing to EPSS Client

First off, thank you for considering contributing to the EPSS Client. It's people like you that make EPSS Client such a great tool. 

Here are some ways you can contribute:

## Reporting Bugs

- **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/santosomar/epss-client/issues).
- If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/santosomar/epss-client/issues/new). Be sure to include a **title and clear description**, as much relevant information as possible, and a **code sample** or an **executable test case** demonstrating the expected behavior that is not occurring.

## Suggesting Enhancements

- **Determine [which repository the enhancement should be suggested in](https://github.com/santosomar/epss-checker/issues)**.
- **Perform a [cursory search](https://github.com/santosomar/epss-checker/issues)** to see if the enhancement has already been suggested. If it has, add a comment to the existing issue instead of opening a new one.
- When you open a new enhancement suggestion, include as many details as possible. Fill in the template, including the steps that you imagine you would take if the feature you're requesting existed.

## Code Contribution

1. **Fork** the repository on GitHub.
2. **Clone** the forked repo to your local machine.
3. **Set up a branch** for the feature or fix you are working on.
4. **Make your changes** and test them thoroughly.
5. **Commit** your changes in your branch.
6. **Push** your changes to your fork on GitHub.
7. Create a **Pull Request** from your fork back to the original repository.
8. Please **include a detailed description** of the changes in the Pull Request.

## Coding Conventions

- Code should adhere to the PEP 8 style guide for Python code.
- Include inline documentation where necessary.
- Write tests for new features or bug fixes.

## Pull Request Process

1. Ensure any install or build dependencies are removed before the end of the layer when doing a build.
2. Update the README.md with details of changes to the interface, this includes new environment variables, exposed ports, useful file locations, and container parameters.
3. Increase the version numbers in any examples files and the README.md to the new version that this Pull Request would represent. 
4. You may merge the Pull Request in once you have the sign-off of two other developers, or if you do not have permission to do that, you may request the second reviewer to merge it for you.

## Code of Conduct

Please note that this project is released with a [Contributor Code of Conduct](https://www.contributor-covenant.org/version/2/0/code_of_conduct/). By participating in this project you agree to abide by its terms.

Thank you for contributing!
